## README
##
## Fichier de base qui donne la structure d'un jeu sous pygame
##
## boucle de jeu
##   - gestion de la fin du jeu (evenement quit)
##   - evolution du systeme
##   - affichage du systeme




import pygame

WHITE = (0xFF, 0xFF, 0xFF)
RED = (0xFF, 0x00, 0x00)

# initialisation fenetre 
pygame.init()
size = (700, 500)
screen = pygame.display.set_mode(size)
pygame.display.set_caption("Moteur")


# regulation la vitesse de la boucle de jeu
clock = pygame.time.Clock()

# variables de jeu
x=0
done=False

# -------- Boucle principale -----------
# tant que le jeu n'est pas fini
while not done:
    
    # --- on traite les evenements
    for event in pygame.event.get():
        #si l'utilisateur arrete
        if event.type == pygame.QUIT: 
            done = True 
            
    # --- on fait evoluer le jeu
    x=x+5
    done=x>400
    
    # --- on dessine le jeu
    screen.fill(WHITE)
    pygame.draw.rect(screen,RED,(x,300,10,10))

    # --- demande affichage (double buffering)
    pygame.display.flip()

    # --- attente pour FPS de 60
    clock.tick(60)
# -------- Fin Boucle principale -----------


pygame.quit()
   

